Subject: [icnrg] Fwd: New Version Notification for draft-kutscher-icnrg-rice-00.txt

From: "Dirk Kutscher" <[email-masked]>
Date: Tue, 02 Oct 2018 10:32:46 +0200

Hello ICNRG,

We have submitted an Internet Draft version of the RICE paper [1] 
published at ACM ICN-2018 [2]. The goal is to make this into a 
specification that enables interoperable implementations.

Any feedback is welcome.

Best regards,
Dirk

[1] 
https://conferences.sigcomm.org/acm-icn/2018/proceedings/icn18-final9.pdf
[2] https://conferences.sigcomm.org/acm-icn/2018/index.php

Forwarded message:

> From: [email-masked]
> To: Dave Oran <[email-masked]>, Dirk Kutscher 
> <[email-masked]>, Michal Krol <[email-masked]>, David Oran 
> <[email-masked]>, Ioannis Psaras <[email-masked]>, Karim 
> Habak <[email-masked]>
> Subject: New Version Notification for draft-kutscher-icnrg-rice-00.txt
> Date: Mon, 01 Oct 2018 06:36:34 -0700
>
> A new version of I-D, draft-kutscher-icnrg-rice-00.txt
> has been successfully submitted by Dirk Kutscher and posted to the
> IETF repository.
>
> Name:		draft-kutscher-icnrg-rice
> Revision:	00
> Title:		Remote Method Invocation in ICN
> Document date:	2018-10-01
> Group:		Individual Submission
> Pages:		15
> URL:            
> https://www.ietf.org/internet-drafts/draft-kutscher-icnrg-rice-00.txt
> Status:         
> https://datatracker.ietf.org/doc/draft-kutscher-icnrg-rice/
> Htmlized:       
> https://tools.ietf.org/html/draft-kutscher-icnrg-rice-00
> Htmlized:       
> https://datatracker.ietf.org/doc/html/draft-kutscher-icnrg-rice
>
>
> Abstract:
>    Information Centric Networking has been proposed as a new network
>    layer for the Internet, capable of encompassing the full range of
>    networking facilities provided by the current IP architecture.  In
>    addition to the obvious content-fetching use cases which have been
>    the subject of a large body of work, ICN has also shown promise as 
> a
>    substrate to effectively support remote computation, both pure
>    functional programming (as exemplified by Named Function 
> Networking)
>    and more general remote invocation models such as RPC and web
>    transactions.  Providing a unified remote computation capability in
>    ICN presents some unique challenges, among which are timer
>    management, client authorization, and binding to state held by
>    servers, while maintaining the advantages of ICN protocol designs
>    like CCN and NDN.  This document specifies a unified approach to
>    remote method invocation in ICN that exploits the attractive ICN
>    properties of name-based routing, receiver-driven flow and 
> congestion
>    control, flow balance, and object-oriented security while 
> presenting
>    a natural programming model to the application developer.
>
>
>
>
> Please note that it may take a couple of minutes from the time of 
> submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> The IETF Secretariat